Redmine - Defect #14851

Time spent not recorded (Git)
2013-09-04 19:48 - Aleksandr Guidrevitch

Status: Needs feedback Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: SCM Estimated time: 0.00 hour
Target version:

Resolution: Affected version: 23.2
Description

Example from the repository page:

55a144ce 09/04/2013 12:44 pm  Aleksandr Guidrevitch
#41. removed dynamic forms. @0:40
b8732336 09/04/2013 11:56 am  Aleksandr Guidrevitch
#41. removed unused models. @0:20
41f2385b 09/04/2013 11:33 am  Aleksandr Guidrevitch

#41. time added. @1h

Commits are correctly tied to #41, but no time gets recorded

1. 'Aleksandr Guidrevitch' has the same email in commits and redmine settings. His email contains a dot, eg

some.user@somehost.com, just in case
2. Admin -> Settings -> Repositories -> 'Enable time logging' is on

3. Admin -> Settings -> Repositories -> 'Activity for logged time' is 'Development' and 'Development' is enabled activity in the project

commits are done for

4. Git repository is refreshed using github_hook plugin, but it is not failure of this plugin as far as | can tell from the code.

History

#1 - 2013-09-04 19:49 - Aleksandr Guidrevitch

5. The most important part is that commits are going into development branch, not master

#2 - 2013-09-17 08:29 - Toshi MARUYAMA
- Category changed from Time tracking to SCM

- Status changed from New to Needs feedback
Does user have a permission to log time?
#3 - 2013-09-24 16:18 - Lubos Racansky

| have the same issue, using 2.3.3.stable via BitNami and mercurial, default branch.
| see commits at issue, but spent time is not logged.

I have fixed it thanks to Toshi, which mentioned, that the user of SCM (hg or git) has to have the permission to log time (I had different user name in

hg than in redmine).

#4 - 2013-10-01 16:00 - Rob Hallam
Toshi MARUYAMA wrote:

Does user have a permission to log time?

My situation is nearly-identical to Aleksandr Guidrevitch :

1. Same email in git as in Redmine
2. Admin -> Settings -> Repositories -> 'Enable time logging' is on

3. Admin -> Settings -> Repositories -> 'Activity for logged time' is 'Development' and 'Development' is enabled activity in the project

4. Git repository is refreshed using post_update hook
5. Commits going to branch other than master

2025-07-15

1/2



https://www.redmine.org/issues/41
https://www.redmine.org/issues/41
https://www.redmine.org/issues/41
https://www.redmine.org/issues/41
mailto:some.user@somehost.com
http://www.redmine.org/issues/14851#note-2
http://www.redmine.org/issues/14851#note-1

Beyond that:

1. User (me) does have permission to log time in project
2. Repository user mapping (Project > Settings > Repository > Users, aka "committers" page) is correct

I'm running Redmine version 2.3.3.devel, Ruby 1.9.3-p194, Rails 3.2.13, git 1.8.3.2, PostgreSQL. No plugins.

As with Aleksandr Guidrevitch, the commits show up as "Associated Revisions", but no time is logged.

If more information (configuration, logs are needed) | can post them. Thanks!

#5 - 2019-09-25 17:52 - Tom Misilo

Sorry for resurrecting and old ticket, but this seems to be the most relevant one to my question, and it is still open.

Is there a way to get time logging via SCM for a branch that isn't master? Or to be able to specify which branch should be the main branch and have
the logging be applicable in that one. We have some repositories that we track upstream on master and have our own branch for our setup.

Thanks!

2025-07-15 22


http://www.tcpdf.org

